oracle.xml.jaxp

## Class JXDocumentBuilder

- java.lang.Object
- - javax.xml.parsers.DocumentBuilder
  - - oracle.xml.jaxp.JXDocumentBuilder

    public class JXDocumentBuilder
    extends DocumentBuilder

Defines the API to obtain DOM Document instances from an XML document. Using this class, an application programmer can obtain a `org.w3c.dom.Document` from XML.

An instance of this class can be obtained from the `DocumentBuilderFactory.newDocumentBuilder` method. Once an instance of this class is obtained, XML can be parsed from a variety of input sources. These input sources are InputStreams, Files, URLs, and SAX InputSources.

Note that this class reuses several classes from the SAX API. This does not require that the implementor of the underlying DOM implmenetation use a SAX parser to parse XML document into a `Document`. It merely requires that the implementation communicate with the application using these existing APIs.

Since:
  JAXP 1.0

### Method Summary

All Methods Instance Methods Concrete Methods
`DOMImplementation` `getDOMImplementation()` The `DOMImplementation` object that handles this document.
`javax.xml.validation.Schema` `getSchema()`
`boolean` `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`Document` `newDocument()` Obtain a new instance of a DOM Document object to build a DOM tree with.
`Document` `parse(InputSource is)` Parse the content of the given input source as an XML document and return a new DOM Document object.
`Document` `parse(java.io.InputStream is)` Parse the content of the given InputStream as an XML document and return a new DOM Document object.
`Document` `parse(java.io.InputStream is, java.lang.String systemId)` Parse the content of the given InputStream as an XML document and return a new DOM Document object.
`void` `setEntityResolver(EntityResolver er)` Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed.
`void` `setErrorHandler(ErrorHandler eh)` Specify the `ErrorHandler` to be used to resolve entities present in the XML document to be parsed.

### Methods inherited from class javax.xml.parsers.DocumentBuilder

`parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSchema

    public javax.xml.validation.Schema getSchema()

#### parse

    public Document parse(java.io.InputStream is)
                   throws SAXException,
                          java.io.IOException

Parse the content of the given InputStream as an XML document and return a new DOM Document object.

Overrides:
  `parse` in class `DocumentBuilder`
Parameters:
  `is` - InputStream containing the content to be parsed.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `SAXException` - If any parse errors occur.
  `java.lang.IllegalArgumentException` - If the InputStream is null
See Also:
  `DocumentHandler`

#### parse

    public Document parse(java.io.InputStream is,
                          java.lang.String systemId)
                   throws SAXException,
                          java.io.IOException

Parse the content of the given InputStream as an XML document and return a new DOM Document object.

Overrides:
  `parse` in class `DocumentBuilder`
Parameters:
  `is` - InputStream containing the content to be parsed.
  `systemId` - Provide a base for resolving relative URIs.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `SAXException` - If any parse errors occur.
  `java.lang.IllegalArgumentException` - If the InputStream is null
See Also:
  `DocumentHandler`

#### parse

    public Document parse(InputSource is)
                   throws SAXException,
                          java.io.IOException

Parse the content of the given input source as an XML document and return a new DOM Document object.

Specified by:
  `parse` in class `DocumentBuilder`
Parameters:
  `is` - InputSource containing the content to be parsed.
Throws:
  `java.io.IOException` - If any IO errors occur.
  `SAXException` - If any parse errors occur.
  `java.lang.IllegalArgumentException` - If the InputSource is null
See Also:
  `DocumentHandler`

#### isNamespaceAware

    public boolean isNamespaceAware()

Indicates whether or not this parser is configured to understand namespaces.

Specified by:
  `isNamespaceAware` in class `DocumentBuilder`

#### isValidating

    public boolean isValidating()

Indicates whether or not this parser is configured to validate XML documents.

Specified by:
  `isValidating` in class `DocumentBuilder`

#### setEntityResolver

    public void setEntityResolver(EntityResolver er)

Specify the `EntityResolver` to be used to resolve entities present in the XML document to be parsed. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.

Specified by:
  `setEntityResolver` in class `DocumentBuilder`

#### setErrorHandler

    public void setErrorHandler(ErrorHandler eh)

Specify the `ErrorHandler` to be used to resolve entities present in the XML document to be parsed. Setting this to `null` will result in the underlying implementation using it's own default implementation and behavior.

Specified by:
  `setErrorHandler` in class `DocumentBuilder`

#### newDocument

    public Document newDocument()

Obtain a new instance of a DOM Document object to build a DOM tree with.

Specified by:
  `newDocument` in class `DocumentBuilder`

#### getDOMImplementation

    public DOMImplementation getDOMImplementation()

The `DOMImplementation` object that handles this document. A DOM application may use objects from multiple implementations.

Specified by:
  `getDOMImplementation` in class `DocumentBuilder`
Returns:
  The associated DOM implementation.

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.